## GUPnPSimpleIgdThread GUPnPSimpleIgdThread — Threaded wrapper for GUPnPSimpleIgd |

## Functions

GUPnPSimpleIgdThread * | gupnp_simple_igd_thread_new ()

## Types and Values

struct | GUPnPSimpleIgdThread
| GUPnPSimpleIgdThreadClass

## Object Hierarchy

        GObject
        ╰── GUPnPSimpleIgd
            ╰── GUPnPSimpleIgdThread

## Description

This wraps a GUPnPSimpleIgd into a thread so that it can be used without having a GMainLoop running.

## Functions

### gupnp_simple_igd_thread_new ()

    GUPnPSimpleIgdThread *
    gupnp_simple_igd_thread_new (void);

Creates a new GUPnPSimpleIgdThread

#### Returns

the new GUPnPSimpleIgdThread

## Types and Values

### struct GUPnPSimpleIgdThread

    struct GUPnPSimpleIgdThread;

All members are private, access them using methods and properties

### GUPnPSimpleIgdThreadClass

    typedef struct _GUPnPSimpleIgdThreadClass GUPnPSimpleIgdThreadClass;

The Raw UDP component transmitter class